@use "button";
@use "colors";

.expandable-description.secondary {
    padding: 1rem 1rem 0.5rem;
    margin-bottom: 1rem;

    &.secondary {
        padding: 1rem;

        &:nth-of-type(3n) {
            background-color: colors.$turquoise-light;
            
            //Hacky Fix for Button Color
            .button{
                box-shadow: -(button.$offset) button.$offset 0 -1px colors.$turquoise-light, -(button.$offset) button.$offset colors.$content-black;
                &:hover {
                    box-shadow: -(button.$offset-hover) button.$offset-hover 0 -1px colors.$turquoise-light, -(button.$offset-hover) button.$offset-hover colors.$content-black;
                }
            }
        }

        &:nth-of-type(3n + 1) {
            background-color: colors.$yellow-light;

            //Hacky Fix for Button Color
            .button{
                box-shadow: -(button.$offset) button.$offset 0 -1px colors.$yellow-light, -(button.$offset) button.$offset colors.$content-black;
                &:hover {
                    box-shadow: -(button.$offset-hover) button.$offset-hover 0 -1px colors.$yellow-light, -(button.$offset-hover) button.$offset-hover colors.$content-black;
                }
            }
        }

        &:nth-of-type(3n + 2) {
            background-color: colors.$blue-light;

            //Hacky Fix for Button Color
            .button{
                box-shadow: -(button.$offset) button.$offset 0 -1px colors.$blue-light, -(button.$offset) button.$offset colors.$content-black;
                &:hover {
                    box-shadow: -(button.$offset-hover) button.$offset-hover 0 -1px colors.$blue-light, -(button.$offset-hover) button.$offset-hover colors.$content-black;
                }
            }
            
        }

        .h2,
        .h3,
        .h4,
        .h5,
        .h6 {
            margin-top: 0;
        }

        .button {
            margin: 1rem 0;
        }

        .markdown {
            padding-top: 1rem;
            margin-block-end: 0;
        }
    }
}